<div class="relative overflow-x-auto bg-white mb-7">
  <table class="w-full text-left">
    <thead class="text-sm text-slate-700 uppercase bg-white">
      <tr>
        <th scope="col" class="px-4 py-3">
          ID
        </th>
        <th scope="col" class="px-4 py-3">
          Straat
        </th>
        <th scope="col" class="px-4 py-3">
          Huisnummer
        </th>
        <th scope="col" class="px-4 py-3">
          Postcode
        </th>
        <th scope="col" class="px-4 py-3">
          Gemeente
        </th>
        {{if .withDeleteButtons}}
        <th scope="col" class="px-4 py-3"></th>
        {{end}}
      </tr>
    </thead>
    <tbody>
      {{range .addresses}}
      <tr class="border-t border-slate-200">
        <td class="p-4">
          <a href="/addresses/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">{{.ID}}</a>
        </td>
        <td class="p-4">
          <a href="/addresses/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{or .Street "(Onbekend)"}}
          </a>
        </td>
        <td class="p-4">
          <a href="/addresses/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{or .HouseNumber "(Onbekend)"}} {{.HouseNumberAddition}}
          </a>
        </td>
        <td class="p-4">
          <a href="/addresses/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{or .ZipCode "(Onbekend)"}}
          </a>
        </td>
        <td class="p-4">
          <a href="/addresses/{{.ID}}" class="text-sky-600 hover:text-sky-700 hover:underline">
            {{or .Municipality "(Onbekend)"}}
          </a>
        </td>
        {{if $.withDeleteButtons}}
        <td class="p-4">
          <button class="cursor-pointer p-2 text-slate-400 hover:text-rose-500" hx-delete="/addresses/{{.ID}}"
            hx-confirm="Weet je zeker dat je adres '{{.ID}}' wilt verwijderen?">{{/* Note: see https://htmx.org/examples/confirm/ for how to customize the confirmation */}}
            <svg class="w-4 h-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
              <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                d="M4 7h16m-10 4v6m4-6v6M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2l1-12M9 7V4a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v3" />
            </svg>
          </button>
        </td>
        {{end}}
      </tr>
      {{else}}
      <tr class="border-t border-slate-200">
        <td class="p-4 text-center" colspan="{{if .withDeleteButtons}}6{{else}}5{{end}}">Nog geen adressen gevonden. <a
            href="/addresses/new" class="text-sky-600 underline hover:text-sky-700 hover:no-underline">Voeg een adres
            toe</a></td>
      </tr>
      {{end}}
    </tbody>
  </table>
</div>
